From 70787578f606de82f0e0800dcc5a14faaa9f089d Mon Sep 17 00:00:00 2001
From: "Nicolas \"Pixel\" Noble" <pixel@nobis-crew.org>
Date: Tue, 4 Aug 2015 00:24:19 +0200
Subject: [PATCH] Adding a sanity check that the cached makefile variables
 aren't committed.

---
 tools/run_tests/run_sanity.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/tools/run_tests/run_sanity.sh b/tools/run_tests/run_sanity.sh
index ebb09d9469..4df696706a 100755
--- a/tools/run_tests/run_sanity.sh
+++ b/tools/run_tests/run_sanity.sh
@@ -48,3 +48,8 @@ diff -u $submodules - << EOF
  3e2c8a5dd79481e1d36572cdf65be93514ba6581 third_party/protobuf (v3.0.0-alpha-1-1048-g3e2c8a5)
  50893291621658f355bc5b4d450a8d06a563053d third_party/zlib (v1.2.8)
 EOF
+
+if [ -f cache.mk ] ; then
+  echo "Please don't commit cache.mk"
+  exit 1
+fi
-- 
GitLab